[19.10 FEAT] PCI directed interrupt support

Bug #1825353 reported by bugproxy on 2019-04-18
16
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu on IBM z Systems
High
Frank Heimes
linux (Ubuntu)
Undecided
Skipper Bug Screeners

Bug Description

Enhancement for PCI interrupt affinity. Provided with kernel >=5.1

bugproxy (bugproxy) on 2019-04-18
tags: added: architecture-s39064 bugnameltc-176994 severity-high targetmilestone-inin1910
Changed in ubuntu:
assignee: nobody → Skipper Bug Screeners (skipper-screen-team)
affects: ubuntu → linux (Ubuntu)
Frank Heimes (fheimes) wrote :

Please provide the commit ID(s) once available - thx.

Frank Heimes (fheimes) wrote :

Changing to Incomplete until 19.10 development starts.

Changed in ubuntu-z-systems:
status: New → Incomplete
importance: Undecided → High
Frank Heimes (fheimes) on 2019-04-30
Changed in ubuntu-z-systems:
assignee: nobody → Frank Heimes (frank-heimes)

------- Comment From <email address hidden> 2019-07-10 08:20 EDT-------
git commit for kernel 5.2
https://github.com/torvalds/linux/commit/6324b4de6d

Frank Heimes (fheimes) wrote :

$ rmadison --arch=s390x linux-generic | grep eoan-proposed
 linux-generic | 5.2.0.8.9 | eoan-proposed | s390x
$ git tag --contains 6324b4de6d
Ubuntu-5.2.0-8.9
v5.2
$ git show 6324b4de6d
commit 6324b4de6dca40361399d3e9a2f2f1cbe8e7e11e
Author: Sebastian Ott <email address hidden>
Date: Tue Feb 12 16:23:13 2019 +0100

    s390/pci: mark command line parser data __initdata

    No point to keep that around.

    Signed-off-by: Sebastian Ott <email address hidden>
    Signed-off-by: Martin Schwidefsky <email address hidden>
Hence changing status to Fix Committed.

Changed in linux (Ubuntu):
status: New → Fix Committed
Changed in ubuntu-z-systems:
status: Incomplete → Fix Committed
Frank Heimes (fheimes) on 2019-07-10
information type: Private → Public
Frank Heimes (fheimes) wrote :

Since kernel 5.2 eventually landed in eoan's release pocket:
  linux-generic | 5.2.0.8.9 | eoan | s390
I'm changing this LP ticket to Fix Released.

Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
Changed in ubuntu-z-systems:
status: Fix Committed → Fix Released
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2019-07-16 06:32 EDT-------
IBM bugzilla status -> closed, Fix Released with Eoan

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers